WESNOTHD(6)

NAAM
wesnothd - Strijd om Wesnoth multiplayer netwerk daemon

OVERZICHT
wesnothd [-dv] [-c pad] [-p poort] [-t nummer] [-T nummer]
wesnothd -V

OMSCHRIJVING
Beheert Strijd om Wesnoth multiplayer spellen. Bekijk http://www.wesnoth.org/wiki/ServerAdministration voor informatie over toegestane commandos.

OPTIES

-c pad, --config pad
    vertelt wesnothd waar het configuratiebestand te vinden is. Lees de sectie SERVER CONFIG hieronder voor de syntax. Je kan de configuratie herladen door SIGHUP naar het server proces te sturen

-d, --daemon
    draait wesntohd als een daemon.

-h, --help
    veklaart de opties voor command line.

--log-niveau=domein1,domein2,...
    stelt het meldingsniveau van de logdomeinen in. all kiest alle logdomeinen. Beschikbare niveaus: error, warning, info, debug. Standaard wordt het error niveau gebruikt en het info niveau voor het server domein.

-p poort, --port poort
    verbind de server met de opgegeven poort. Als er geen poort is opgegeven zal poort 15000 gebruikt worden.

-t nummer, --threads nummer
    stelt het maximaal aantal wachtende threads voor netwerk I/O in op n (Standaard: 5, max: 30).

-T nummer, --max-threads nummer
    stelt het maximaal aantal threads in dat gemaakt kan worden. Als het op 0 gezet is, is er geen limiet (Standaard: 0).

-V, --version
    toont het versie nummer en sluit af.

-v, --verbose
    schakelt debug logging aan.

SERVER CONFIGURATIE

  De algemene syntax is:

[element]

    sleutel="waarde"

    sleutel="waarde,waarde,..."

[/element]

  Globale sleutels:

connections_allowed
    Het aantal toegestane verbindingen van hetzelfde IP. 0 betekent oneindig. (standaard: 5)

disallow_names
    Namen die niet geaccepteerd worden door de sever. `*' en `?' als jokertekens zijn toegestaan. Bekijk glob(7) voor meer details. Standaard waarden (gebruikt wanneer niet gespecificeerd) zijn: *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

max_messages
    Het aantal toegestane berichten in berichten_tijdsperiode. (standaard: 4)

berichten_tijdsperiode
    De tijdsperiode (in seconden) waarin een berichtenoverstroming gedetecteerd wordt (standaard: 10 seconden)

motd
    Bericht van de dag.

passwd
    Het wachtwoord om admin rechten te krijgen. Meestal begint het met `admin '.

versions_accepted
    Een comma gescheiden lijst van versies die door de server geaccepteerd dient te worden. `*' en `?' zijn als jokertekens toegestaan. (standaard bij de bijbehorende versie van Wesnoth)
    Voorbeeld: versions_accepted="*" accepteerd elke versie.

  Globale elementen:

[redirect] Een element om een server aan te wijzen om bepaalde client versies naar te verwijzen.

    host
        Het adres van de te verwijzen server.

    port
        De te verbinden poort.

    version
        Een comma gescheiden lijst van te verwijzen versies. Gedraagt zich hetzelfde als versions_accepted wat betreft jokertekens.

[proxy] Een element om de server te vertellen om als proxy te handelen en de verbonden klant door te sturen naar de ingestelde server. Accepteert dezelfde sleutels als[redirect].

AUTEUR
Geschreven door David White <davidnwhite@verizon.net>. Bewerkt door Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> en Soliton <soliton.de@gmail.com>. Deze handleiding was oorspronkelijk geschreven door Cyril Bouthors <cyril@bouthors.org>.
Bezoek de officiele website: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
Dit Programma is vrije software; deze software is gelicenceerd onder de GPL versie 2, zoals door de Free Software Foundation gepubliceerd, maar komt ZONDER EENDER WELKE GARANTIE zelfs zonder de impliciete garantie van VERKOOPBAARHEID of GESCHIKTHEID VOOR EEN BEPAALD DOEL.

BEKIJK OOK
wesnoth(6), wesnoth_editor(6)